Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Jubula » Eclipse Oxygen (4.7.0) is compatible with Jubula 8.3.1.125 version?(Eclipse Oxygen Compatible versions for Jubula)
Eclipse Oxygen (4.7.0) is compatible with Jubula 8.3.1.125 version? [message #1768070] Thu, 13 July 2017 11:45 Go to next message
Raj Bej is currently offline Raj BejFriend
Messages: 3
Registered: July 2017
Junior Member
We are developed some automation scrips for Eclipse Luna, Mars, Neon and now planning to extend those scripts to Oxygen version, to check the our plugin comparability with Oxygen version.
Issue: AUT is not starting, even though , i have defined the AUT (same process followed for other eclipse versions: Luna, Mars, neon)

I have followed all the steps which mentioned in User Manual.
Jubula User Manual > Toolkit-specific information > Testing RCP AUTs > Setting up an RCP AUT for testing
4.3.3. Setting up an RCP AUT for testing

I have tried replacing (\eclipse\plugins) 'org.eclipse.jubula.rc.rcp_4.0.0.201611030931.jar' with latest Jubula version (8.5.0127)
'org.eclipse.jubula.rc.rcp_5.0.0.201705050842.jar', still AUT is not connected.

In the future (soon), planning to update the new version of jubula (Version: 8.5.0.127).

We are using 'RCP' toolkit.

Did any have any thoughts or suggestions or work around on this issue.


Raj
Re: Eclipse Oxygen (4.7.0) is compatible with Jubula 8.3.1.125 version? [message #1768118 is a reply to message #1768070] Thu, 13 July 2017 17:58 Go to previous messageGo to next message
Raj Bej is currently offline Raj BejFriend
Messages: 3
Registered: July 2017
Junior Member
I have tested Jubula (Version: 8.5.0.127) with Eclipse Oxygen
Version: Oxygen Release Candidate 3 (4.7.0 RC3) and Build id: 20170608-2000) and
Version: Oxygen Release (4.7.0) Build id: 20170620-1800) AUT is not starting.

Even i am not seeing any information in log file (C:\Users\XXXX\.jubula\logs).

Tried with Neon (Version: Neon.1a Release (4.6.1) Build id: 20161007-1200) and AUT is starting.

Seems to me, Jubula is not compatable with Eclipse Oxygen.

Also tried Jubula (Version: 8.3.1.1250) with Oxygen Release (4.7.0), AUT is not starting.
Here is am using 'org.eclipse.jubula.rc.rcp_4.0.0.201611030931.jar' under "\eclipse\plugins" location.
Also tried replacing 'org.eclipse.jubula.rc.rcp_5.0.0.201705050842.jar', still seeing same issue.

I got some information in log file. Attached (Jubula Oxygen Log file.xml) log file for reference.

Looking for work around or assistance.


Raj

[Updated on: Thu, 13 July 2017 18:00]

Report message to a moderator

Re: Eclipse Oxygen (4.7.0) is compatible with Jubula 8.3.1.125 version? [message #1768289 is a reply to message #1768118] Mon, 17 July 2017 06:27 Go to previous messageGo to next message
Marvin Mueller is currently offline Marvin MuellerFriend
Messages: 114
Registered: March 2012
Senior Member
Hello Raj,

We have had a minor issue with oxygen based rcp applications. We have already fixed it see Bug 518547[1]. This rcp accessor attached to the bug is compatible with 8.5.

best regards
Marvin Mueller

[1] http://eclip.se/518547
Re: Eclipse Oxygen (4.7.0) is compatible with Jubula 8.3.1.125 version? [message #1768505 is a reply to message #1768289] Wed, 19 July 2017 14:13 Go to previous message
Raj Bej is currently offline Raj BejFriend
Messages: 3
Registered: July 2017
Junior Member
Thank you for the reply.
i have replaced the file (\eclipse\plugins) with 'org.eclipse.jubula.rc.rcp_5.0.0.201706220751.jar'. Now i am able to see the AUT connection.
I am using this file for Jubula 'Version: 8.3.1.125' .
I will update the community, if i found any new issues with 8.3 Jubula Version.


Raj
Previous Topic:Not correct variable processing
Next Topic:Notification on new releases
Goto Forum:
  


Current Time: Sat Sep 22 18:51:50 GMT 2018

Powered by FUDForum. Page generated in 0.02229 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top